#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EAccessibilityContrastMode {
    NoPreference = 0,
    More = 1,
    Less = 2,
}

impl EAccessibilityContrastMode {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::NoPreference as i32 => Some(Self::NoPreference),
            x if x == Self::More as i32 => Some(Self::More),
            x if x == Self::Less as i32 => Some(Self::Less),
            _ => None,
        }
    }
}
